/**
 * The class PictureEditor uses the Picture class to read and process photos. 
 * 
 * An image file (.jpg, .png, .gif) is a good place to practice using nested loops.
 * Each "picture element" (pixel) can be referred to by its column and row address.
 * 
 * Each pixel itself is of a Color that includes red, green, and blue values of 0-255.
 * 
 * This program uses Sedgewick and Wayne's Picture.java class to load images, view
 * them, access and edit their individual pixels, and save the edited image file. That
 * file needs to be located within the filepath of your Java compiler (and the easiest
 * way to do that is keep a copy in the same folder as your project).
 * 
 * @author Richard White 
 * @version 2013-11-05
 */

import java.awt.Color;

public class PictureEditor
{
    public static void main(String[] args)
    {
        // Create a new Picture object from a jpg or png file in the same folder
        
        // Use the .show() method to display your image onscreen in a window
        
        // Get the picture's height and width, in pixels. You'll need to find the method
        // that allows you to do this.
        
        // for every row in the picture's height
        // {
        //     for every col in the picture's width
        //     {
        //         Color thePixel = thePicture.get(col,row);
        //         int red = thePixel.getRed();
        //         int green = thePixel.getGreen();
        //         int blue = thePixel.getBlue();
        //         Color theNewColor = new Color(0, green, blue);
        //         myPicture.set(col,row,theNewColor);
        //     }
        // }
        
        // Use the .show() method to display the image again, now that you've changed it
        
        // Use an appropriate method to save the image to your computer, maybe with a
        // different name.

    }
}
